/* -------------------------------------------------------------------- */

/* umax-scanner.h: scanner-definiton header for UMAX scanner driver.
 *
 * Version 0.5.5
 *
 * created by by Oliver Rauch
 * 
 */

/* -------------------------------------------------------------------- */

#ifndef UMAX_SCANNER_H
#define UMAX_SCANNER_H


/* ==================================================================== */


typedef struct
{
  char *scanner;
  char *inquiry;
  int inquiry_len;
} inquiry_blk;


/* ==================================================================== */

/* scanners that are supported because the driver nows missing */
/* inquiry-data */

#include "umax-uc630.h"
#include "umax-ug630.h"

static inquiry_blk *inquiry_table[] =
{
  &inquiry_uc630,
  &inquiry_ug630
};

#define known_inquiry 2

/* ==================================================================== */

/* names of scanners that are supported because */
/* the inquiry_return_block is ok and driver is tested */

static char *scanner_str[] =
{
  "Vista-S6 ",
  "Vista-S6E ",
  "UMAX S-6E ",
  "UMAX S-6EG ",
  "Vista-S8 ",
  "UMAX S-12 ",
  "UMAX S-12G ",
  "SuperVista S-12 ",
  "PSD ",
  "PL-II ",
  "Astra 600S "
};

#define known_scanners 11

/* ==================================================================== */

#endif
