/* ------------------------------------------------------------------------- */

/* umax-scsi.h: low-level-definidtions for UMAX scanner driver
 *
 * Version 0.5.5
 *
 */

/* ------------------------------------------------------------------------- */

#ifndef UMAX_SCSI_H
#define UMAX_SCSI_H

#include "umax-struct.h"

int    umax_do_scsi_open(char * device, int * sfd, void * handler);
int    umax_do_scsi_close(int sfd);
int    umax_do_scsi_cmd(int fd,char * cmd,int cmd_len, char * out, int out_len);
int    umax_get_data_buffer_status(US *us);
void   umax_do_request_sense(US *us);
int    umax_test_warmup(US *us);
int    umax_wait_scanner(US *us);
int    umax_emergency_give_scanner(int i);
int    umax_grab_scanner(US *us);
int    umax_reposition_scanner(US *us);
int    umax_give_scanner(US *us);
void   umax_send_gamma_data(US *us, char *data, int color);
int    umax_correct_light(int light, int analog_gamma_byte);
int    umax_set_window_param(US *us);
int    umax_start_scan(US *us);
int    umax_read_data_block(US *us, unsigned int length);
void   umax_do_inquiry(US *us);
int    umax_identify_scanner(US *us);
int    umax_open_scanner(US *us);
void   umax_trim_rowbufsize(US *us);
int    umax_bound_scanarea(US *us);
void   umax_calculate_exposure_time(US *us, int def,int *value);
int    umax_check_values(US *us);
void   umax_get_inquiry_values(US *us);
int    umax_calculate_analog_gamma(double value);
double umax_get_analog_gamma(int value);
void   umax_initialize_values(US *us);
void   umax_init(US *us);

#define WAIT_SCANNER ret = umax_wait_scanner(us); if (ret) return ret

#endif /* UMAX_SCSI_H */

