/* ------------------------------------------------------------------------- */

/* umax-uc630.h: inquiry for UMAX scanners uc630
 *
 * Version 0.5.5
 *
 */

/* ------------------------------------------------------------------------- */

static unsigned char UC630_INQUIRY[] =
{
#define UC630_INQUIRY_LEN 0x94
/* 24 F/W support function */
	0x00,

/* 25 -27 exposure-times */
	0x00, 0x00, 0x00,

/* 28 - 29 reserved */
	0x00, 0x00,

/* 2a - 35 exposure times */	
	0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00,

/* 36 - 37 reserved */	
	0x00, 0x00,

/* 38 - 5f scsi reserved */
	00, 00, 00, 00, 00, 00, 00, 00,
	00, 00, 00, 00, 00, 00, 00, 00,
	00, 00, 00, 00, 00, 00, 00, 00,
	00, 00, 00, 00, 00, 00, 00, 00,
	00, 00, 00, 00, 00, 00, 00, 00,

/* 60 -62 scanner capability*/
	0xf5,
	0xbc,
	0x03,

/* 63 reserved */
	0x00,

/* 64 gamma */
	0xa3,

/* 65 reserved */
	0x00,

/* 66 GIB */
	0x01,

/* 67 reserved */
	0x00,

/* 68 GOB */
	0x01,

/* 69 - 6a halftone */
	0x00, 0x00,

/* 6b - 6c reserved */
	0x00, 0x00,

/* 6d color sequence */
	0xe9,

/* 6e - 71 video memory */
	0x00, 0x04, 0x00, 0x00,

/* 72 reserved */
	0x00,

/* 73 max optical res in 100 dpi */
	0x04,

/* 74 max x_res in 100 dpi */
	0x04,

/* 75 max y_res in 100 dpi */
	0x04,

/* 76-77 fb max scan width in 0.01 inch */
	0x03, 0x52,

/* 78-79 fb max scan length in 0.01 inch */
	0x04, 0x92,

/* 7a-7b uta x original point, may be 0x05, 0x89 */
	0x00, 0x76,

/* 7c-7d uta y original point, may be 0x06, 0x75 */
	0x00, 0x89,

/* 7e-7f uta max scan width in 0.01 inch */
	0x02, 0x4e,

/* 80-81 uta max scan length in 0.01 inch */
	0x03, 0x65,

/* 82-85 reserved */
	00, 00, 00, 00,

/* 86-87 dor x original point */
	0x00, 0x00,

/* 88-89 dor x original point */
	0x00, 0x00,

/* 8a-8b dor max scan width in 0.01 inch */
	0x00, 0x00,
	
/* 8c-8d dor max scan length in 0.01 inch */
	0x00, 0x00,

/* 8e reserved */
	0x00,

/* 8f last calibration lamp density */
	0x00,

/* 90 reserved */
	0x00,

/* 91 lamp warmup max time */
	0x00,

/* 92-93 window descriptor block length */
	0x00, 0x30,

/* 94 optical resolution residue (1dpi) */
	0x00,

/* 95 x_resolution residue (1dpi) */
	0x00,

/* 96 y_resolution residue (1dpi) */
	0x00,

/* 97 analog gamma table */
	0x00,

/* 98-99 reserved */
	0x00, 0x00,

/* 9a max calibration data lines */
	0x00
};

static inquiry_blk inquiry_uc630 =
{
  "UC630 ",UC630_INQUIRY,UC630_INQUIRY_LEN,
};

